Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Andrea Corallo <[email-masked]>
Date: Fri, 12 Mar 2021 20:21:26 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 12 Mar 2021 19:30:31 +0000
>> 
>> > Btw, what are those "??" there instead of function names?  Do you see
>> > the same on your system?
>> 
>> Yes I think too they are in place of function names.  You could verify
>> if the address is mapped by an .eln file.
>
> Doesn't look like that.
>
>> I do not see those in my back-traces so it might a bug of the Windows
>> toolchain?
>
> Please show the full backtrace (including the Lisp backtrace) you get
> as result of the following steps:
>
>   gdb ./emacs -Q
>   (gdb) break Fredraw_display
>   (gdb) r -Q
>
>   C-x C-f dispnew.c
>   M-x redraw-display
>
>   (gdb) break Fskip_chars_backward
>   (gdb) c
>
>   C-s sleep
>
>   (gdb) bt
>
> I'd like to compare your backtrace with what I get here.

Mmmh, my Emacs on the 32bit system I prepared when running interactively
under gdb is unusable because all keys except the basic letters are
mixed-up.  I never experienced this, is this common?  How can I solve
it?

Thanks

  Andrea